PgBeam Docs

Handle a Slack support event

POST
/v1/internal/support/slack-event

Receives a forwarded Slack event from the dashboard webhook handler and creates a support message.

Authorization

InternalSecret
X-Internal-Secret<token>

Shared secret for dashboard-to-API service calls.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Slack event forwarded from the dashboard webhook handler.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/internal/support/slack-event" \  -H "Content-Type: application/json" \  -d '{    "channel_id": "string",    "thread_ts": "string",    "user_id": "string",    "text": "string"  }'
Empty
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}